capture.output {base} | R Documentation

## Send output to a character string or file

### Description

Evaluates its arguments with the output being returned as a character string or sent to a file. Related to `sink` in the same way that `with` is related to `attach`.

### Usage

    capture.output(..., file = NULL, append = FALSE)

### Arguments

`...` | Expressions to be evaluated
`file` | A file name or a connection, or `NULL` to return the output as a string. If the connnection is not open it will be opened and then closed on exit.
`append` | Append or overwrite the file?

### Value

A character string, or `NULL` if a `file` argument was supplied.

### See Also

`sink`, `textConnection`

### Examples

    glmout<-capture.output(example(glm))
    glmout[1:5]
    capture.output(1+1,2+2)
    capture.output({1+1;2+2})
    ## Don't run:
    ## on Unix with enscript available
    ps<-pipe("enscript -o tempout.ps","w")
    capture.output(example(glm), file=ps)
    close(ps)
    ## End Don't run

[Package Contents]